Supercheck LogoSupercheck
Notifications API

Delete a notification provider

Remove a notification provider configuration.

DELETE
/api/notification-providers/{id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.

Path Parameters

id*string

Notification provider ID

Formatuuid

Response Body

Provider deleted

Example Request
curl -X DELETE 'https://demo.supercheck.dev/api/notification-providers/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
Empty